Subversion Repositories svn LFS-FR

Rev

Rev 7059 | Blame | Compare with Previous | Last modification | View Log | RSS feed

<!-- $LastChangedBy: igor $ $Date: 2014-06-29 11:28:58 +0200 (dim. 29 juin 2014) $ -->

<!ENTITY day          "19">                   <!-- Always 2 digits -->
<!ENTITY month        "02">                   <!-- Always 2 digits -->
<!ENTITY year         "2016">
<!ENTITY copyrightdate "2001-&year;">
<!ENTITY copyholder   "L'équipe de développement de BLFS">
<!ENTITY version      "&year;-&month;-&day;">
<!ENTITY releasedate  "May 18th, &year;">
<!ENTITY pubdate      "&year;-&month;-&day;"> 
<!ENTITY blfs-version "svn">                  
<!ENTITY lfs-version  "development">          
<!ENTITY last-commit  "$Date: 2014-05-18 22:48:41 +0200 (Sun, 18 May 2014) $"> 
<!ENTITY lfs-domainname       "linuxfromscratch.org">

<!ENTITY maintainer-fullname  "L'équipe de BLFS">
<!ENTITY maintainer-firstname "BLFS">
<!ENTITY maintainer-address   "blfs-maintainer@&lfs-domainname;">

<!ENTITY lfs-website          "http://www.&lfs-domainname;">
<!-- downloads_root must have an entity because it is needed for scripts
change svn to x.y for release. Note:  s/_/-/ in comment to avoid grep error -->
<!ENTITY downloads-root       "http://www.fr.linuxfromscratch.org/view/svn">
<!ENTITY downloads-project    "http://downloads.&lfs-domainname;">
<!ENTITY sources-anduin-http  "http://anduin.linuxfromscratch.org/BLFS">
<!ENTITY sources-anduin-ftp   "ftp://anduin.linuxfromscratch.org/BLFS">
<!ENTITY hints-root           "http://www.&lfs-domainname;/hints">
<!ENTITY patch-downloads      "http://www.linuxfromscratch.org/patches/downloads">
<!ENTITY patch-root           "http://www.&lfs-domainname;/patches/blfs/svn">
<!ENTITY errata               "http://www.&lfs-domainname;/blfs/errata/&blfs-version;/">
<!ENTITY blfs-ticket-root     "http://wiki.&lfs-domainname;/blfs/ticket/">
<!ENTITY lfs-root             "http://www.fr.linuxfromscratch.org/view/lfs-stable">
<!ENTITY lfs-dev              "http://www.fre.linuxfromscratch.org/view/lfs-svn">
<!ENTITY kernel               "http://www.kernel.org/pub/">
<!ENTITY gstreamer-dl         "http://gstreamer.freedesktop.org/src">
<!ENTITY gnu-alpha-ftp        "ftp://alpha.gnu.org/gnu/">
<!ENTITY gnu-alpha-http       "http://alpha.gnu.org/gnu/">
<!ENTITY sourceforge-repo     "http://downloads.sourceforge.net">
<!ENTITY sourceforge-repo2    "http://sourceforge.net">
<!ENTITY gentoo-ftp-repo      "ftp://mirror.ovh.net/gentoo-distfiles/distfiles">
<!ENTITY fedora-http-repo     "http://pkgs.fedoraproject.org/repo/pkgs">
<!ENTITY jaist-ftp-repo       "ftp://ftp.jaist.ac.jp/pub//sourceforge">
<!ENTITY lxqt-http-repo       "http://downloads.lxqt.org/lxqt">
<!ENTITY publisher            "Inconnu">
<!--<!ENTITY xorg-download-http   "http://xorg.freedesktop.org/archive/individual">-->
<!ENTITY xorg-download-http   "http://ftp.x.org/pub/individual">
<!ENTITY xorg-download-ftp    "ftp://ftp.x.org/pub/individual">
<!ENTITY mozilla-http         "https://ftp.mozilla.org/pub/mozilla.org">
<!ENTITY mozilla-ftp          "ftp://ftp.mozilla.org/pub">
<!ENTITY gnome-download-http  "http://ftp.gnome.org/pub/gnome/sources">
<!ENTITY gnome-download-ftp    "ftp://ftp.gnome.org/pub/gnome/sources">
<!ENTITY gnome-minor          "3.12">
<!ENTITY gnome-minor-14       "3.14">
<!ENTITY gnome-minor-16       "3.16">
<!ENTITY gnome-minor-18       "3.18">

<!-- These entities are used to identify versions of LFS
     packages referenced throughout the BLFS book. -->
<!ENTITY lfs-autoconf-version         "2.69">
<!ENTITY lfs-coreutils-version        "8.23">
<!ENTITY lfs-e2fsprogs-version        "1.42.11">
<!ENTITY lfs-flex-version             "2.5.39">
<!ENTITY lfs-gcc-version              "4.9.1">
<!ENTITY lfs-gdbm-version             "1.11">
<!ENTITY lfs-m4-version               "1.4.17">
<!-- this was originally the perl version used by the corresponding
 version of lfs, in those days always for i686, but now BLFS is a rolling
 release -->
<!ENTITY lfs-perl-version             "&lt;5.x.y&gt;/&lt;arch-linux&gt;">
<!ENTITY lfs-shadow-version           "4.2.1">
<!ENTITY lfs-vim-version              "7.4">
<!-- End LFS versions -->

<!ENTITY blfs-bootscripts-version     "20150924">

<!ENTITY blfs-wiki                    "http://wiki.&lfs-domainname;/blfs/wiki">

<!-- These entities are used to annotate the current status of a package as it
     relates to the version of LFS it will build/work against -->
<!ENTITY lfs78_checked        "<para>Ce paquet est connu pour se construire
                              correctement sur une plateforme LFS-7.8.</para>">
<!ENTITY lfs78_built          "<para>Ce paquet est connu pour se construire
                              correctement sur une plateforme LFS-7.8 mais n'a pas été testé.</para>">
<!ENTITY lfssvn_checked       "Ce paquet est connu pour se construire et fonctionner
                              correctement sur une plateforme LFS-SVN-">
<!ENTITY lfssvn_checked2      " .">
<!ENTITY lfssvn_built         "Ce paquet est connu pour se construire et fonctionner
                              correctement sur une plateforme LFS-SVN-">
<!ENTITY lfssvn_built2        " plateforme mais n'a pas été testé.">
<!ENTITY as_root "<note><para>Pour l'installation de paquets multiples dans un script, les installations doivent être faites en tant qu'utilisateur
  root. Il y a trois options générales qui peuvent être utilisées pour faire cela&nbsp;:</para>
  <orderedlist>
  <listitem><para>Lancer le script entièrement en tant qu'utilisateur root (pas recommandé).</para></listitem>
  <listitem><para>Use the <command>sudo</command> command from the <xref
  linkend='sudo'/> package.</para></listitem>
  <listitem><para>Use <command>su -c &quot;command arguments&quot;</command>
  (guillemet requis) qui demandera le mot de passe root à chaque itération de la boucle.</para></listitem>
  </orderedlist>
  <para>Une façon de gérer cette situation est de créer une petite fonction
  <command>bash</command> qui sélectionne automatiquement la méthode appropriée.
  Une fois que la commande est initialisée dans l'environnement, il n'est plus nécessaire de le refaire.</para>
  
<screen>
<userinput>as_root()
{
  if   [ $EUID = 0 ];        then $*
  elif [ -x /usr/bin/sudo ]; then sudo $*
  else                            su -c \\&quot;$*\\&quot;
  fi
}
export -f as_root</userinput>
</screen>
</note>">
<!ENTITY not-katamari         "<para>Ce paquet ne fait pas partie de Xorg Katamari et est seulement
fourni comme dépendance d'autres paquets ou pour tester l'installation complète de Xorg.</para>">
<!-- Problem with some packages introduced by a given dependency version -->
<!ENTITY gcc-490                        "gcc-4.9.0">
<!ENTITY % package-entities SYSTEM      "packages.ent">
%package-entities;
<!ENTITY parallel_issues "<note>
      <para>
        Ce paquet peut parfois échouer quand il est construit avec plusieurs processeurs.
        Voir <xref linkend='parallel-builds'/> pour plus d'information.
      </para>
    </note>">